Skip to main content
GET
/
greendot
/
{id}
Fetch a Green Dot Cash Load
curl --request GET \
  --url https://api.treasuryprime.com/greendot/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "account_id": "acct_1234567890",
  "amount": "25.00",
  "authorized_at": "2024-01-15T14:30:00Z",
  "available_at": null,
  "bank_id": "bank_vado",
  "barcode_number": "1234567890",
  "channel_type": "mobile",
  "completed_at": null,
  "created_at": "2024-01-15T14:30:00Z",
  "device_type": "mobile",
  "email_address": "example@example.com",
  "expired_at": null,
  "expires_at": "2024-01-15T14:45:00Z",
  "id": "gdep_1029384756",
  "ip_address": "192.168.1.100",
  "latitude": "39.724121",
  "longitude": "-94.793228",
  "retailer_key": "1234",
  "status": "pending",
  "updated_at": "2024-01-15T14:30:00Z",
  "voided_at": null
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Unique identifier for object

Response

200 - application/json

The greendot

account_id
string

ID of the Account receiving the cash load. Filterable.

amount
string

Amount of money being loaded. It cannot be specified when creating the barcode.

Pattern: ^-?[0-9]+[.][0-9][0-9]$
authorized_at
string

Timestamp when the cash load was authorized

available_at
string

Timestamp when funds became available

bank_id
string

ID of the bank with which this object is associated

barcode_number
string

The barcode number used to generate a barcode image for scanning at the Point of Sale

channel_type
string

Where is the cash load barcode being generated

completed_at
string

Timestamp when the cash load was completed

device_type
string

Type of device used for the cash load

email_address
string

Verified email address of the end user the cash load is for

error
string

The reason the deposit was voided during the authorization phase. Not every voided deposit will have an error. But deposits voided by Treasury Prime will have an error.

expired_at
string

Timestamp when the cash load expired

expires_at
string

Timestamp of when the cash load will expire. This is defined by Green Dot when the barcode is created.

id
string

Unique identifier for object

ip_address
string

IP address of the client device from which the cash load was initiated

latitude
string

Latitude of the client's device when generating the barcode

longitude
string

Longitude of the client's device when generating the barcode

metadata
object

Metadata from Green Dot. This data is populated when the cash load is authorized.

retailer_key
string

Retail key identifier from Green Dot

status
string

Current status of the cash load. Filterable.

voided_at
string

Timestamp when the cash load was voided